Bug 101697 - Extra page with PJL commands on HP LaserJet 4000N
Extra page with PJL commands on HP LaserJet 4000N
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-08-05 14:03 EDT by Eric Andresen
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-19 04:30:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PPD file created by redhat printer config. (36.32 KB, text/plain)
2003-08-05 14:04 EDT, Eric Andresen
no flags Details
Output of 'printconf-tui --Xexport' (6.49 KB, text/plain)
2003-08-13 13:08 EDT, Eric Andresen
no flags Details
/tmp/prnlog as requested (gzipped) (110.92 KB, application/octet-stream)
2003-08-20 12:05 EDT, Eric Andresen
no flags Details
cupsomatic.log (4.22 KB, text/plain)
2003-08-20 12:06 EDT, Eric Andresen
no flags Details

  None (edit)
Description Eric Andresen 2003-08-05 14:03:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
When priting with cups using the PPD file found by the redhat printer config
program for our HP LaserJet 4000N printer, all print jobs submitted to the
printer print out, but with an additional page with the contents:

          @PJL EOJ NAME = "User: <username>@<host>.mars.asu.edu; Job: nhp-<JID>"

Looking on google found one match, which said to set pjl to 'undef' in the ppd,
but it is already set to undef. I am unable to figure out what is causing this
extra output, nor how to stop it from happening. It does not happen on any other
printers used, although they are all different model HPs.

I will follow up with the PPD attached.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use the redhat printer config to install a driver for HP LJ4000N
2. Print
3. See extra page with PJL commands.

Actual Results:  Extra page with PJL commands came out after print job.

Expected Results:  No extra page should print, only the print job.
Comment 1 Eric Andresen 2003-08-05 14:04:20 EDT
Created attachment 93410 [details]
PPD file created by redhat printer config.
Comment 2 Tim Waugh 2003-08-13 12:56:53 EDT
Please attach the output of 'printconf-tui --Xexport'.  Thanks.
Comment 3 Eric Andresen 2003-08-13 13:08:52 EDT
Created attachment 93618 [details]
Output of 'printconf-tui --Xexport'
Comment 4 Tim Waugh 2003-08-20 06:25:01 EDT
How strange!

Could you please edit the file /usr/share/cups/filters/cupsomatic and change the

my $debug = 0;


my $debug = 1;

It's about line 53 I think.

After printing again and seeing the PJL data on the page, please attach the
/tmp/prnlog file.
Comment 5 Eric Andresen 2003-08-20 12:05:38 EDT
Created attachment 93782 [details]
/tmp/prnlog as requested (gzipped)

/usr/share/cups/filters/cupsomatic didn't exist, but
/usr/lib/cups/filter/cupsomatic did, so I changed line 28 (my $debug = 0) to =
1. Here's the file /tmp/prnjob
Comment 6 Eric Andresen 2003-08-20 12:06:58 EDT
Created attachment 93783 [details]

Here's the .log cupsomatic produced as well, in case it helps.
Comment 7 Eric Andresen 2003-12-18 16:03:27 EST
Using the recommended PostScript driver from linuxprinting.org for the
Hp LaserJet 4000 solved this problem, as well as providing a higher
printing resolution by default.
Comment 8 Tim Waugh 2003-12-19 04:30:29 EST
Okay, great.

Note You need to log in before you can comment on or make changes to this bug.